<?php
/*
Plugin Name:IE6 No More(ja-jQuery)
Plugin URI: http://tenderfeel.xsrv.jp/wordpress/plugin/620/
Description: IE6から他のモダンブラウザへの乗換えを進めるキャンペーン<a href="http://www.ie6nomore.com">IE6 No More</a>のタグを挿入します。jQuery版。
Author: Tenderfeel
Version: 1.0
Author URI: URI:http://tenderfeel.xsrv.jp/
*/

class IE6NoMore {
	
	var $path_css;
	var $path_js;
	
	function IE6NoMore() {
		$site_url = get_option('siteurl');
		$plugin_root = PLUGINDIR."/IE6NoMore/";
		$this->path_css = $site_url."/". $plugin_root . "IE6NoMore.css";
		$this->path_js  = "/".$plugin_root . "IE6NoMore.js";
	}
	
	function echoHeader() {
		wp_enqueue_script( 'IE6NoMore',$this->path_js, array('jquery'));
	}
	function echoCSS(){
		echo "<link rel=\"stylesheet\" href=\"$this->path_css\" ";
		echo 'type="text/css" media="screen" />' . "\n";
	}
	
}

$wpIE6 = & new IE6NoMore();

add_action('wp_head', array(&$wpIE6, 'echoCSS'));
add_filter('wp_print_scripts',array(&$wpIE6,'echoHeader'));
?>
